Description

This is a guide on how | installed Windows 3.1 in a VirtualBox VM. This guide used 64-bit Arch Linux as the VM host, but any host
that VirtualBox can run on should work.

Create the Virtual Machine

1. Start by create a new VM in VirtualBox.
1. Give the VM a name.
2. Set the type to Microsoft Windows.
3. Set the version to Windows 3.1.
2. Set the memory size to 64MB
3. Create a new virtual hard disk
1. Set the type to VDI.
2. Set the storage type to Dynamically allocated.
3. Set the file name and give it 1.0GB

Setup DOS 6.22 Boot Disc

1. Select the Win3.1 VM and click on the Settings button.
2. Go to the Storage tab and add the DOS 6.22 boot disc to the Virtual CD Drive.
3. Close the Settings window, and boot the VM.

Install DOS 6.22

1. Format the hard drive using fdisk:

fdisk

1. Choose 1 to Create DOS partition drive.
2. Choose 1 to Create primary DOS partition.
3. Choose Y to use maximum available space and set the partition as active.
4. The VM will reboot when partitioned.
2. Create the filesystem and copy the DOS system files onto the hard drive:

format /u /s c:

3. Power off the VM, this must be done by closing the VirtualBox window and choosing to power off the machine.

Install Windows 3.1

1. Boot the Win3.1 VM.

2. Set the date and time

3. Click on the Devices -> Floppy Drives -> Choose disk image and choose the first Win 3.1 image.
4. Change the current drive to the virtual floppy drive:

a:

5. Then run the Windows 3.1 setup executable:
setup.exe

. Press ENTER to begin the installer

. Press ENTER to use the express setup option

. Click on the Devices -> Floppy Drives -> Choose disk image and choose the second Win 3.1 image, then press ENTER.

. Click on the Devices -> Floppy Drives -> Choose disk image and choose the third Win 3.1 image, then press ENTER.

. When the GUI starts, enter in a name and click Continue, then Continue again.

. Click on the Devices -> Floppy Drives -> Choose disk image and choose the fourth Win 3.1 image, then click Retry.

. Click on the Devices -> Floppy Drives -> Choose disk image and choose the fifth Win 3.1 image, then click Retry.

. Click on the Devices -> Floppy Drives -> Choose disk image and choose the fourth Win 3.1 image, then click Continue. (I
don't know why, but | was prompted to reinsert the fourth disk)
9. Click on the Devices -> Floppy Drives -> Choose disk image and choose the fifth Win 3.1 image, then click Continue. (I

don't know why, but | was prompted to reinsert the fifth disk)

10. Click on the Devices -> Floppy Drives -> Choose disk image and choose the sixth Win 3.1 image, then click Retry.

11. Click on the Devices -> Floppy Drives -> Choose disk image and choose the seventh Win 3.1 image, then click Continue.

12. Select Do not add a printer, then click Install.

13. Click on skip tutorial

14. Click on the Devices -> Floppy Drives -> Remove disk from virtual drive

15. Click Reboot

16. When the VM finishes rebooting and the DOS prompt appears, start Windows:

ONO O WN =

WIN

Fix 100% CPU Usage

1. Boot the DOS VM.
2. Download and mount the dosidle.img file in the virtual Floppy drive
1. Create the DOSIDLE folder:
mkdir DOSIDLE
2. Copy the dosidle program to the DOSIDLE folder:

copy a:*.* DOSIDLE
3. Download and mount the wqghilt.img file in the virtual Floppy drive
1. Copy the wqghlt program to the DOSIDLE folder:
copy a:\wgghlt.386 c:\windows\system

4. Start Windows:

win

5. Go to Accessories -> Notepad
1. Click on File -> Open and open c:\autoexec.bat; make sure to change the file type from .txt to all file types.
2. Add the following to the end of the autoexec.bat file:

C:\DOSIDLE\DOSIDLE.EXE

3. Save and exit.

6. Go to Accessories -> Notepad
1. Click on File -> Open and open C:\WINDOWS\SYSTEM.INI; make sure to change the file type from .txt to all file types.
2. Add the following to the [386Enh] section of the SYSTEM.INI file:

[386Enh]
device=WQGHLT.386

3. Save and exit.
7. Reboot the VM to check that it works.

Autostart Windows 3.1

1. Start Windows:

win

2. Go to Accessories -> Notepad
3. Click on File -> Open and open c:\autoexec.bat; make sure to change the file type from .txt to all file types.
4. Add the following to the end of the autoexec.bat file:

WIN

5. Save and exit. Then reboot the VM to check that it works.

Resources

e http://www.legroom.net/howto/msdos
http://www.allbootdisks.com/download/iso.html
http://windowshistorylessons.mini-sites.timurtripp.com/Windows-3.1/download.html
https://www.kirsle.net/blog/entry/ms-dos-and-windows-3-1
https://www.kirsle.net/msdos

History

#1 - 01/02/2016 07:20 PM - Daniel Curtis

- Status changed from New to In Progress

- Start date changed from 01/02/2016 to 01/03/2016
- % Done changed from 0 to 50

#2 - 01/04/2016 07:55 PM - Daniel Curtis
- File dosidle.img added
- Description updated

- % Done changed from 50 to 70

#3 - 01/18/2016 08:57 PM - Daniel Curtis
- File DOS Floppies.zip added
- File Win31 Floppies.zip added

#4 - 01/18/2016 09:02 PM - Daniel Curtis
- File Win31 VirtualBox Drivers.zip added

#5 - 01/18/2016 09:04 PM - Daniel Curtis
- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

#6 - 02/20/2016 07:16 PM - Daniel Curtis

- Status changed from Resolved to Closed

Files

dosidle.img 1.41 MB 01/05/2016 Daniel Curtis

DOS Floppies.zip 4.29 MB 01/19/2016 Daniel Curtis

Win31 Floppies.zip 8.61 MB 01/19/2016 Daniel Curtis

Win31 VirtualBox Drivers.zip 4.05 MB 01/19/2016 Daniel Curtis
